* {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

html {
    overflow-x: hidden;
}

nav {
    position: fixed;
    z-index: 100;
    width: 100%;
    background-color: #fff;
}

nav .wrapper {
    position: relative;
    max-width: 1300px;
    padding: 0 30px;
    height: 70px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/*.logo {
    padding: 20px 0 0 0;
}*/

.wrapper .nav-links {
    display: inline-flex;
}

.nav-links li {
    list-style: none;
}

.nav-links a {
    color: #333;
    text-decoration: none;
    font-size: 14px;
    font-weight: 700;
    padding: 5px 9px;
    margin: 0 10px 0 0;
    border-radius: 20px;
    transition: all 0.5s;
}

.nav-links li a:hover {
    background-color: #df1212;
    color: #fff;
}

/*....*/
.wrapper .nav-links-fa {
    display: inline-flex;
}

.nav-links-fa a {
    color: #333;
    text-decoration: none;
    font-size: 14px;
    font-weight: 700;
    padding: 5px 9px;
    margin: 0 10px 0 0;
    border-radius: 20px;
    transition: all 0.5s;
}


.nav-links-fa a i {
    color: #333;
    margin: 0 10px 0 0;
    font-size: 16px;
    transition: all 0.5s;
}

.nav-links-fa a i:hover{
    color: #c3c0c0;

}

/*....*/

header {
    width: 100%;
    height: 55vh;
    position: relative;
    display: flex;
    margin: auto;
}

header h1 {
    color: #df1212;
    font-size: 45px;
    position: absolute;
    top: 35%;
    left: 5%;
}

header h4 {
    font-size: 20px;
    position: absolute;
    top: 51%;
    left: 5%;
    letter-spacing: 0.5px;
    color: #333;
    margin: 0 0 0 5px;
}

header .buy-banner {
    position: absolute;
    top: 75%;
    left: 5%;
    background-color: #df1212;
    color: #fff;
    padding: 10px 18px;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.5s;
}



header .buy-banner:hover {
    background-color: #333;
}

.alink {
    text-decoration: none;
    font-size: 13px;
    color: #fff;
    font-weight: 500;
}

@media only screen and (min-width: 850px) {
    .menu i {
      display: none;
    }
  }
/* mobile device */
@media only screen and (max-width: 850px){
    nav .wrapper {
        padding: 0;
    }
    .logo {
        position: absolute;
        left: 10px

    }
    .nav-links {
        flex-direction: column;
        width: 100%;
        height: 100vh;
        justify-content: center;
        background-color: #fff;
        margin: -900px -900px 0 0;
        transition: all 0.5s ease;
        overflow-y: auto;
    }
    .nav-links li {
        margin: 30px auto;
    }
    
    .menu {
        cursor: pointer;
        color: #333;
        text-decoration: none;
        font-size: 14px;
        font-weight: 700;
        padding: 5px 9px;
        margin: 0 10px 0 0;
        border-radius: 20px;
    }
    
    .menu i:hover{
        color: #c3c0c0;
    }
    .mobile-menu {
        margin-top: 0px;
        border-bottom-left-radius: 20%;
    }
}
/* mobile view */

/* General Container */
.container {
    max-width: 1200px;
    margin: 0 auto;
}

/* Product Specification Section */
.specification {
    width: 100%;
    padding: 50px 0;
    text-align: center;
    background-color:#fff;
}

.specification h1 {
    margin: 0;
    font-size: 2.5em;
    letter-spacing: 0.5px;
}

.specification h4 {
    font-size: 18px;
    margin: 20px 0;
    letter-spacing: 0.5px;
    font-weight: 500;
}

.items {
    background-color:#fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.items li {
    background-color: #f4f4f4;
    list-style: none;
    width: 250px;
    margin: 0 0 20px;
    padding: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    transition: transform 0.3s ease-in-out;
}

.items li:hover {
    transform: scale(1.05);
}

.items img {
    width: 100%;
    height: 180px;
    border-radius: 8px;
    margin-bottom: 10px;
}

.items h4 {
    font-size: 16px;
    margin: 10px 0;
}
.items h5 {
    margin: 5px 0;
    color: #df1212;
}

.purchase {
    display: inline-flex;
    align-items: center;
}
.p-cart {
    background-color: #333;
    margin-left: 20px;
    color: #fff;
    padding: 10px 15px;
    border-radius: 20px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease-in-out;
}
.p-cart:hover {
    background-color:#df1212;
}
.buy {
    background-color: #df1212;
    margin-left: 30px; 
    color: #fff;
    padding: 10px 15px;
    border-radius: 20px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease-in-out;
}

.buy:hover {
    background-color:#333;
}

@media only screen and (max-width: 850px){
    .items li {
        background-color: #f4f4f4;
        list-style: none;
        width: 150px;
        margin: 0 0 20px;
        padding: 15px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        border-radius: 8px;
        transition: transform 0.3s ease-in-out;
    }
    .items li:hover {
        transform: scale(1.05);
    }
    .items img {
        width: 100%;
        height: 110px;
        border-radius: 8px;
        margin-bottom: 10px;
    }
    .items h4 {
        font-size: 12px;
        margin: 2px 0;
    }
    .items h5 {
        margin: 5px 0;
        color: #df1212;
    }
    .purchase {
        display: inline-flex;
        align-items: center;
    }
    .p-cart {
        background-color: #333;
        margin-left: 7px;
        color: #fff;
        padding: 5px 8px;
        border-radius: 20px;
        cursor: pointer;
        font-size: 10px;
        transition: background-color 0.3s ease-in-out;
    }
    .p-cart:hover {
        background-color:#df1212;
    }
    .buy {
        background-color: #df1212;
        margin-left: 10px; 
        color: #fff;
        padding: 5px 8px;
        border-radius: 20px;
        cursor: pointer;
        font-size: 10px;
        transition: background-color 0.3s ease-in-out;
    }
    
    .buy:hover {
        background-color:#333;
    }
}

.discover {
    width: 100%;
    padding: 50px 0;
    text-align: center;
    background-color: #fff;
}

.discover h1 {
    margin: 0 auto;
    font-size: 2.5em;
    letter-spacing: 0.5px;
}

.discover .slider{
    position: relative;
    max-width: 48rem;
    margin: 10px auto;
}
.discover .slider .image-container {
    display: flex;
    aspect-ratio: 16/9;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    box-shadow: 0 1.5rem 3rem -0.75rem hsla(0, 0%, 0%, 0.25);
    border-radius: 0.5rem;
}

.discover .slider .image-container img{
    flex: 1 0 100%;
    scroll-snap-align: start;
    object-fit: cover;
}
.discover .slider .slider-nav{
    display: flex;
    column-gap: 1rem;
    position: absolute;
    bottom: 1.25rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}
.discover .slider .slider-nav a {
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 50%;
    background-color: #fff;
    opacity: 0.75;
    transition: opacity ease 250ms;
}
.discover .slider .slider-nav a:hover{
    opacity: 100%;
}
.discover h4 {
    font-size: 18px;
    margin: 20px auto;
    letter-spacing: 0.5px;
    font-weight: 700;
    color: #df1212;
}

/*----cart------*/
.cart-page {
    margin: 10px auto;
}
table {
    width: 100%;
    border-collapse: collapse;
}
.cart-info {
    display: flex;
    flex-wrap: wrap;
}

.cart-info img {
    width: 125px;
    height: 100px;
    border-radius: 8px;
    margin: 0 5px;
}
th {
    text-align: left;
    padding: 5px;
    color: #fff;
    background: #ff523b;
}
td {
    padding: 10px 5px;
}
td p {
    padding: 15px;
    color: #000;
    font-size: 15px;
}
.total-price {
    display: flex;
    justify-content: flex-end;
}
.total-price table {
    border-top: 3px solid #ff523b;
    width: 100%;
    max-width: 3000px;
}
th:last-child {
    text-align: right;
}
td:last-child {
    text-align: right;
}

.checkout {
    display: inline-flex;
    align-items: center;
    justify-content:center;
    width: 100%;
}
.checkout .p-cart {
    background-color: #333;
    width: 150px;
    justify-content: center;
    color: #fff;
    padding: 10px 10px;
    border-radius: 10px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease-in-out;
}
.checkout .p-cart:hover {
    background-color:#df1212;
}
.checkout .buy {
    background-color: #333;
    width: 150px;
    color: #fff;
    padding: 10px 10px;
    border-radius: 10px;
    cursor: pointer;
    font-size: 14px;
    transition: background-color 0.3s ease-in-out;
}

.checkout .buy:hover {
    background-color:#df1212;
}

.col-lg-6{
	margin-top: 10px;
}

.box-element{
	box-shadow:hsl(0, 0%, 80%) 0 0 16px;
	background-color: #fff;
	border-radius: 4px;
	padding: 10px;
}

.row-image{
	width: 100px;
}

.form-field{
	width:250px;
	display: inline-block;
	padding: 5px;
}

.cart-row{
	display: flex;
    align-items: flex-stretch;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #ececec;

}

.quantity{
	display: inline-block;
	font-weight: 700;
	padding-right:10px;
	

}

.chg-quantity{
	width: 12px;
	cursor: pointer;
	display: block;
	margin-top: 5px;
	transition:.1s;
}

.chg-quantity:hover{
	opacity: .6;
}


.hidden{
	display: none!important;
}

/* user form styles start */
.formbody {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f4f4f4;
}
.formcontainer {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
form {
    display: flex;
    flex-direction: column;
}
input {
    margin-bottom: 10px;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}
.formbutton {
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    background-color: #df1212;
    color: #fff;
    cursor: pointer;
}
.formbutton:hover {
    background-color: #333;
}
/* user form styles end */

.adminbody {
    margin-top: 0;
    padding: 0;
}

.sect {
    padding: 20px;
}

.sect input, button {
    margin-bottom: 10px;
    display: block;
}

.sect button {
    background-color: #df1212;
    color: white;
    padding: 8px 16px;
    border: none;
    cursor: pointer;
}
.sect button:hover {
    background-color: #333;
}


.container{
    max-width: 1300px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}
.row{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
}
.col-2{
    flex-basis: 50%;
    min-width: 300px;
}
.account-page{
    padding: 50px 0;
    background: #fff;
}
.form-container{
    background: radial-gradient(#fff, #ffd6d6);
    width: 300px;
    height: 400px;
    position: relative;
    text-align: center;
    padding: 20px 0;
    margin: 50px 0;
    box-shadow: 0 0 20px 0px rgba(0,0,0,0.1);
    overflow: hidden;
}
.form-container span{
    font-weight: bold;
    padding: 0 10px;
    color: #555;
    cursor: pointer;
    width: 100px;
    display: inline-block;
}
.form-btn{
    display: inline-block;
}
.form-container form{
    max-width: 300px;
    padding: 0 20px;
    position: absolute;
    top: 130px;
    transition: transform 1s;
}
.form input{
    width: 100%;
    height: 30px;
    margin: 10px 0;
    padding: 0 10px;
    border: 1px solid #ccc;
}
form .btn{
    width: 100%;
    border: none;
    cursor: pointer;
}
form .btn:focus{
    outline: none;
}

#LoginForm{
    left: -300px;
}
#RegForm{
    left: 0;
}
#LoginForm1{
    left: -300px;
}
#RegForm1{
    left: 0;
}
form a{
    font-size: 12px;
}
#Indicator{
    width: 100px;
    border: none;
    background: #ff523b;
    height: 3px;
    margin-top: 8px;
    transform: translateX(100px);
    transition: transform 1s;
}
#Indicator1{
    width: 100px;
    border: none;
    background: #ff523b;
    height: 3px;
    margin-top: 8px;
    transform: translateX(100px);
    transition: transform 1s;
}
.small-container{
    max-width: 1080px;
    margin: auto;
    padding-left: 25px;
    padding-right: 25px;
}